CREATE TABLE VS4TSaleForecastMT
	(
	TSFMTSFCTBraCode nvarchar(30) NOT NULL,
	TSFMTSFCYear int NOT NULL,
	TSFMTSFCMonth int NOT NULL,
	TSFMTSFCTPdtCode nvarchar(30) NOT NULL,
	TSFMTSFCTEmpCode nvarchar(30) NOT NULL,
	TSFMTSpdStep int NOT NULL,
	TSFMLn int NOT NULL,
	TSFMTSepCode nvarchar(30) NULL,
	TSFMType smallint NULL,
	TSFMProductCode nvarchar(30) NULL,
	TSFMProductName nvarchar(50) NULL,
	TSFMDescription1 nvarchar(30) NULL,
	TSFMDescription2 nvarchar(30) NULL,
	TSFMDescription3 nvarchar(30) NULL,
	TSFMDescription4 nvarchar(30) NULL,
	TSFMDescription5 nvarchar(30) NULL,
	TSFMQuantity float(53) NULL,
	TSFMUseStock float(53) NULL,
	TSFMUseOrder float(53) NULL,
	TSFMTotalUsed float(53) NULL,
	TSFMTotalDif float(53) NULL,
	TSFMUnitCode nvarchar(15) NULL,
	TSFMQuantity2 float(53) NULL,
	TSFMUseStock2 float(53) NULL,
	TSFMUseOrder2 float(53) NULL,
	TSFMTotalUsed2 float(53) NULL,
	TSFMTotalDif2 float(53) NULL,
	TSFMUnitCode2 nvarchar(15) NULL,
	TSFMQuantity3 float(53) NULL,
	TSFMUseStock3 float(53) NULL,
	TSFMUseOrder3 float(53) NULL,
	TSFMTotalUsed3 float(53) NULL,
	TSFMTotalDif3 float(53) NULL,
	TSFMUnitCode3 nvarchar(15) NULL,
	TSFMDrawType smallint NULL,
	TSFMDrawWhen real NULL,
	TSFMDrawTo real NULL,
	TSFMRemark nvarchar(50) NULL,
	TSFMFlag1 smallint NULL,
	TSFMFlag2 smallint NULL,
	TSFMFlag3 smallint NULL
	)  ON [PRIMARY]
GO
ALTER TABLE VS4TSaleForecastMT ADD CONSTRAINT
	PK_VS4TSaleForecastMT PRIMARY KEY CLUSTERED 
	(
	TSFMTSFCTBraCode,
	TSFMTSFCYear,
	TSFMTSFCMonth,
	TSFMTSFCTPdtCode,
	TSFMTSFCTEmpCode,
	TSFMTSpdStep,
	TSFMLn
	) ON [PRIMARY]

GO
